gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Gdk.Keys

Description

A `KeyVal` is a numeric value identifying a keyboard key. The defined values can be found at <http: The names of the keys are the names of the macros without the prefix.

Synopsis

- type KeyVal = Word32
- keyName :: KeyVal -> String
- keyFromName :: String -> KeyVal
- keyToChar :: KeyVal -> Maybe Char
- keyvalConvertCase :: KeyVal -> (KeyVal, KeyVal)
- keyvalToUpper :: KeyVal -> KeyVal
- keyvalToLower :: KeyVal -> KeyVal
- keyvalIsUpper :: KeyVal -> Bool
- keyvalIsLower :: KeyVal -> Bool

# Documentation

type KeyVal = Word32

Key values are the codes which are sent whenever a key is pressed or released.

keyName :: KeyVal -> String

Converts a key value into a symbolic name.

keyFromName :: String -> KeyVal

Converts a key name to a key value.

keyToChar

Arguments

:: KeyVal | `keyval` - a Gdk key symbol
-> Maybe Char | returns the corresponding unicode character, or Nothing if there is no corresponding character.

Convert from a Gdk key symbol to the corresponding Unicode character.

keyvalConvertCase

Arguments

:: KeyVal | `symbol` a keyval
-> (KeyVal, KeyVal) | `(lower, upper)` ^ lower is the lowercase version of symbol. ^ upper is uppercase version of symbol.

Obtains the upper- and lower-case versions of the keyval symbol. Examples of keyvals are GDK_a, `Enter`, `F1`, etc.

keyvalToUpper

Arguments

:: KeyVal | `keyval` a key value.
-> KeyVal | returns the upper case form of keyval, or keyval itself if it is already in upper case or it is not subject to case

Converts a key value to upper case, if applicable.

keyvalToLower

Arguments

:: KeyVal | `keyval` a key value.
-> KeyVal | returns the lower case form of keyval, or keyval itself if it is already in lower case or it is not subject to case

Converts a key value to lower case, if applicable.

keyvalIsUpper

Arguments

:: KeyVal |
-> Bool | returns `True` if keyval is in upper case, or if keyval is not subject to case conversion.

Returns `True` if the given key value is in upper case.

keyvalIsLower

Arguments

:: KeyVal |
-> Bool | returns `True` if keyval is in upper case, or if keyval is not subject to case conversion.

Returns `True` if the given key value is in upper case.